Community

Subscribe
Highlighted
Accepted Solution

SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

I'm having an issue with SnapCreator Framework, version 3.6, in trying to create a configuration using the vCloud Director virtualization plug-in to connect to a vCloud Director 5.1.1 deployment.  From the new configuration in SnapCreator Framework GUI, each time i attempt to authenticate to my vCloud Director server i encounter an error stating [gui-0025] Invalid vCloud Credentials! (it actually includes the "!", i'm not trying to spice this up with an element of drama).  As required in the configuration dialog box, i provide the URL for my vCloud cell in the requested format (https://servername/cloud), a vCloud Director username in the format username@organization (i've tried administrator@system, and specific organization administrators and their corresponding organization names, for example dev_admin@dev_org), and the corresponding password for each of these logins.  I can connect sucessfully via the vCloud web UI using these same values and credentials, and i can create a SnapCreator configuration using the vSphere plug-in, connecting to the vCenter Server that supports the same vCloud Director cells without issue, so i know my SnapCreator install is viable.  I must be missing something...has anyone else run into this?  I saw a similar post on the SnapCreator forum which has gone quiet for several months with no resolution, so i figured i'd try posting it to this forum and "leverage" the vSphere expertise.  I've opened an SR with NetApp and they've directed me to the forums. 

Thanks for any help you can provide,

Don

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

Don,

Unfortunately, vCloud Director 5.1 is not supported with SC 3.6.   It is definitely on the truck for SC 4.0, which (last I checked) was targeted for release in late Feb.  So, not too much longer!

The reason it isn't working is they rewrote the vCloud APIs very deeply with 5.1, and the 3.6 plugin uses the legacy one's from vCD 1.5.

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

Thanks for the reply!  that definitely looks to be the case...have you confirmed this with the dev engineers?  I'm a bit confused, as none of the folks monitoring the SnapCreator forum have made a similar statement, but yeah with all the changes to vCD 5.1, and perhaps SSO in particular, it seems very likely that this broke. 

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

Don,

Yes, confirmed.  SnapCreator 3.6 only supports vCloud Director 1.5.  4.0 soon will bring support for vCD 5.1.

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

very good, i'll wait for the 4.0 release - thanks for your help with this!

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

Just a head's up, the SC 4.0 "community" release is available over at www.snapcreator.com.   It was released last week.  Please note that this is early release "community supported" via the forums and what not, while our internal support teams train and validate it (~30 day concurrency).

Re: SnapCreator Framework [gui-0025] Invalid vCloud Credentials!

Thanks for this update!  I’ve finally had time to try out this update, and while I can now connect to vCloud Director, I’m unable to get past the Agent Configuration dialog when creating the Configuration file.  I enter the correct path to the agent (i've tried both the system name and IP address), listening on the default port of 9090, and when I test the connection it fails.  I’ve confirmed the service is running on the server, and verified that port 9090 is associated with snapcreator.exe via netstat and tasklist.  Are other users encountering this?

Thanks

Don